asmodem(0.32)

NAME
asmail - AfterStep Modem

SYNOPSIS
asmodem
        [-h] [-s]
        [-p [+|-]x[+|-]y]
        [-u sec]
        [-m modem lockfile]
        [-h program]
        [-r program]
    [-d program]

DESCRIPTION
Asmodem is a nifty application that lets you keep track of modem status. It is designed to work with the AfterStep window manager (Rock on Frank & Dan!). It is about 70% based on asmail written by Per Liden. I spliced it up to keep track of my modem lock file, and dial and hang up for me.

CONFIGURATION OPTIONS

-h
    Prints a help message

-s
    Starts asmodem with a shaped window. This will remove the groundplate from the mailbox icon. Usefull if your would like to place asmodem in your Wharf.

-m <lock file>
    This must be your modem lock file. On my system this is /var/lock/LCK..cua1 If you choose to ignore this tiny requirement, asmail defaults to /var/lock/LCK..modem, which is /dev/modem.

-u <sec>
    Specifies the update frequency. Default is 5 seconds.

-p [+|-]x[+|-]y
    Specifies the position of the asmodem-window.

-d <program>
    Specifies the program to execute when mouseclick is invoked on the asmail-window. This is the app that executes when you are currently disconnected (Lights are Red!) I use it to dial.

-r <program>
    Specifies the program to execute on when the modem detects that it has disconnected. I have it play an .au file. You could also have it redial if you have a permanent connection.

-h <program>
    Executes <program> when you click on asmail, and you are dialed out. A good way to hang up.

EXAMPLES
Here is an example of how to start asmodem from the command line. It will operate on /dev/cua1 (Com2).

asmodem -m /var/lock/LCK..cua1 &
Here is an example of asmodem with the works. This version will use execute ppp-on when you click on asmodem when you're disconnected. It also executes ppp-on when you disconnect (permanent connection!). If you click while asmail is connected, it executes ppp-off.
asmodem -m /var/lock/LCK..cua1 -r ppp-on
Here is an example of how to start asmodem from afterstep. It uses the default modem (/dev/modem) and shaped extension. This example executes ppp-on if you click on it while disconnected, ppp-off if you click on it while connected, and plays a nice sound if you drop carrier. Place the following line in your .steprc file in your home directory.
*Wharf - - Swallow "asmodem" asmodem -s -r "cp /home/malda/sounds/crash.au /dev/audio" -h /usr/spin/ppp-off -d /usr/spin/ppp-on &

COPYRIGHT
All suspiciously modem like modifications are Copyright(c) 1996 by Rob Malda. No guarantees and all that jazz. Asmodem is based almost entirely on asmail, Copyright (c) 1996 by Per Liden. Distributed under GNU GPL v2 ; see LICENSE file for more informations.

AUTHOR
asmodem:Rob Malda asmail:Per Liden
malda@cs.hope.edu
asmodem: http://www.cs.hope.edu/~malda/
asmail:http://www.rby.hk-r.se/~pt95pli/